Security risk to outdated browsers Public Service Bulletin

June 29, 2018

Purpose of bulletin

To inform staff that June 30, 2018 will be the last day that our website will support TLS 1.0 on our website applications.

Background

On June 30, 2018, we are taking additional steps to further protect customer information. Due to an outdated security layer in some older browsers, we are preventing customers with these browsers from accessing any of our online services. As a result, customers must upgrade their browser to access MyFTB or other online services.

Transport Layer Security (TLS) is an authentication and security protocol used in browsers and web servers. TLS 1.0 is outdated and subject to attack. We are moving to support only TLS 1.1 and 1.2 on our servers. Most financial institutions are already doing this.

Taxpayer inquiries

If a taxpayer or their representative cannot access our applications, please advise them to update their browser or refer them to our website help page.